## ros-foxy-mcap-vendor 0.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(mcap_vendor LANGUAGES C CXX ASM)

## Dependencies
find_package(ament_cmake REQUIRED)
find_package(zstd_vendor REQUIRED)
find_package(zstd REQUIRED)

## Compile options
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
  set(CMAKE_CXX_EXTENSIONS OFF)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Werror)
endif()
if (MSVC)
  add_compile_options(/W4 /WX
    /wd4251 # suppress warning about having template instances (such as std::string) as public class members
  )
  # suppress error disallowing `fopen` in favor of `fopen_s`
  add_compile_definitions(_CRT_SECURE_NO_WARNINGS)
endif()

## Define vendor macro
macro(build_mcap_vendor)
  include(FetchContent)
  fetchcontent_declare(mcap
    GIT_REPOSITORY https://github.com/foxglove/mcap.git
    GIT_TAG dc6561d9ba867901709e36526dcf7f7359861e9c # releases/cpp/v0.7.0
  )
  fetchcontent_makeavailable(mcap)

  fetchcontent_declare(lz4
    GIT_REPOSITORY https://github.com/lz4/lz4.git
    GIT_TAG d44371841a2f1728a3f36839fd4b7e872d0927d3 # v1.9.3
  )
  fetchcontent_makeavailable(lz4)

  file(GLOB _lz4_srcs
    ${lz4_SOURCE_DIR}/lib/*.c)

  add_library(mcap SHARED
    src/main.cpp
    ${_lz4_srcs}
  )

  set(_mcap_include_dir ${mcap_SOURCE_DIR}/cpp/mcap/include)

  target_include_directories(mcap PRIVATE
    ${lz4_SOURCE_DIR}/lib
  )
  target_include_directories(mcap PUBLIC
    "$<BUILD_INTERFACE:${_mcap_include_dir}>"
    "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>"
  )
  ament_target_dependencies(mcap zstd)

  install(
    DIRECTORY ${_mcap_include_dir}/mcap
    DESTINATION include/${PROJECT_NAME}
  )

  install(
    TARGETS mcap
    EXPORT mcap
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin
  )
endmacro()

## Call vendor macro
build_mcap_vendor()

ament_export_include_directories(include/${PROJECT_NAME})
ament_export_targets(mcap HAS_LIBRARY_TARGET)
ament_export_dependencies(zstd_vendor zstd)

## Package
ament_package()

=== debian/changelog ===
ros-foxy-mcap-vendor (0.6.0-1focal) focal; urgency=high

  * Fix Windows build (#73 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/73>)
    Update mcap version to newest windows-compatible release.
    Add visibility macros for tests.
    Add clang-format preprocessor indentation for visibility_control to be readable.
  * Contributors: Emerson Knapp

 -- Foxglove <ros-tooling@foxglove.dev>  Sun, 27 Nov 2022 13:00:00 -0000

ros-foxy-mcap-vendor (0.5.0-1focal) focal; urgency=high

  * mcap_vendor: update to v0.6.0 (#69 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/69>)
  * Cleanup in mcap_vendor package (#62 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/62>)
  * Switch to using the vendored zstd library. (#59 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/59>)
  * Contributors: Chris Lalancette, Michael Orlov, James Smith

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 01 Nov 2022 13:00:00 -0000

ros-foxy-mcap-vendor (0.4.0-1focal) focal; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Wed, 05 Oct 2022 13:00:00 -0000

ros-foxy-mcap-vendor (0.2.0-1focal) focal; urgency=high

  * Support timestamp-ordered playback (#50 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/50>)
  * Support regex topic filtering
  * Contributors: James Smith

 -- Foxglove <ros-tooling@foxglove.dev>  Wed, 07 Sep 2022 14:00:00 -0000

ros-foxy-mcap-vendor (0.1.7-1focal) focal; urgency=high

  * Add all lz4 sources to fix undefined symbols at runtime (#46 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/46>)
  * Contributors: Emerson Knapp

 -- Foxglove <ros-tooling@foxglove.dev>  Sun, 14 Aug 2022 14:00:00 -0000

ros-foxy-mcap-vendor (0.1.6-1focal) focal; urgency=high

  * Upgrade mcap to fix LZ4 error and segfault (#42 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/42>)
    Incorporates fixes from https://github.com/foxglove/mcap/pull/478 and https://github.com/foxglove/mcap/pull/482
  * Add missing buildtool_depend on git (#37 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/37>)
    This vendor package uses git to fetch sources for other packages. It should declare a dependency on that build tool.
    This should address the current cause of RPM build failures for RHEL: https://build.ros2.org/view/Rbin_rhel_el864/job/Rbin_rhel_el864__mcap_vendor__rhel_8_x86_64__binary/
  * Contributors: Jacob Bandes-Storch, Scott K Logan

 -- Foxglove <ros-tooling@foxglove.dev>  Thu, 21 Jul 2022 14:00:00 -0000

ros-foxy-mcap-vendor (0.1.5-1focal) focal; urgency=high

  * Test Foxy & Galactic in CI, fix missing test_depends in mcap_vendor/package.xml (#33 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/33>)
  * Contributors: Jacob Bandes-Storch

 -- Foxglove <ros-tooling@foxglove.dev>  Sun, 24 Apr 2022 14:00:00 -0000

ros-foxy-mcap-vendor (0.1.4-1focal) focal; urgency=high

  * fix: minor issues (#31 <https://github.com/wep21/rosbag2_storage_mcap/issues/31>)
    * remove unnecessary block
    * use target_link_libraries instead of ament_target_dependencies
    * remove ros environment
    * add prefix to compile definition
  * Update email address for Foxglove maintainers (#32 <https://github.com/wep21/rosbag2_storage_mcap/issues/32>)
  * Contributors: Daisuke Nishimatsu, Jacob Bandes-Storch

 -- Foxglove <ros-tooling@foxglove.dev>  Wed, 20 Apr 2022 14:00:00 -0000

ros-foxy-mcap-vendor (0.1.3-1focal) focal; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 19 Apr 2022 14:00:00 -0000

ros-foxy-mcap-vendor (0.1.2-1focal) focal; urgency=high

  * Added mcap_vendor package. Updated CMakeLists.txt to fetch dependencies with FetchContent rather than Conan.
  * Contributors: Jacob Bandes-Storch

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 19 Apr 2022 14:00:00 -0000

=== debian/control ===
Source: ros-foxy-mcap-vendor
Section: misc
Priority: optional
Maintainer: Foxglove <ros-tooling@foxglove.dev>
Build-Depends: debhelper (>= 9.0.0), git, ros-foxy-ament-cmake, ros-foxy-zstd-vendor, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-mcap-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-zstd-vendor, ros-foxy-ros-workspace
Description: mcap vendor package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-mcap-vendor//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
